Query Advanced Meters

Access advanced meter information in Fracttal, including asset linkage and maintenance details.

Through this API, you can query advanced information about meters created in Fracttal. It contains information related to the asset it's linked to and information about the last maintenance.

This API allows you to filter to get only the meters you need: by asset code, meter serial, parent asset code, and/or task description associated with the meter.

  • To get meters that belong to a specific asset, you need to send the "code" parameter (asset code).
  • To get information about a specific meter, you need to send the "code" (asset code) and "serial" (meter serial) parameters.
  • To filter meters by the parent asset, you can optionally send the "code_parent_location" parameter (parent asset code).
  • To filter meters by the associated task description, you can optionally send the "tasks_description" parameter (task description).

Input Parameters

ParameterTypeRequiredDescription
codeTextOptionalCode of the asset that has the meter associated.
serialTextOptionalSerial of the meter you want to query.
code_parent_locationTextOptionalParent asset code.
tasks_descriptionTextOptionalDescription of the task associated with the meter.
startIntegerOptionalField used for record pagination. It's the number where pagination starts. Default is 0
limitIntegerOptionalNumber of records (items) you want the API to return. Default is 100 (Cannot exceed this value)

Output Parameters

ParameterTypeDescription
descriptionTextMeter Description
serialTextMeter serial
is_counterTextValue that indicates if the meter is a counter type
counter_offset_valueTextAccumulated Value
counter_valueTextCurrent meter value
last_dataTextInformation of the last reading added to the meter: -"date": date, -"value": value, -"accumulated_value": accumulated value
monthly_average_dataTextMonthly average value
units_descriptionTextDescription of the meter unit
units_codeTextCode of the meter unit
items_descriptionTextDescription of the asset to which the meter belongs
items_parent_descriptionTextLocation to which the asset belongs
id_taskNumberTask ID
tasks_descriptionTextTask description
id_task_trigger_typeNumberTrigger type ID. 1: Date, 2: When trigger, 3: Every trigger, 4: Event trigger.
monthly_average_autoBooleanValue indicating if the monthly average will be calculated by the system or manually entered by the user
last_value_triggerNumberReading value at last maintenance
last_date_maintenanceDateDate of last maintenance triggered by reading
id_companyNumberCompany ID
code_parent_locationTextParent asset code

Example:

Request: (GET)https://app.fracttal.com/api/meters_advanced/ACT-001

Response
{
    "success": true,
    "message": "200",
    "data": [
        {
            "id": 11111,
            "is_counter": true,
            "active": true,
            "description": "",
            "serial": "",
            "counter_value": 1369,
            "last_data": {
                "date": "2024-07-29T20:32:25.637+00:00",
                "value": 0,
                "accumulated_value": 1369
            },
            "counter_offset_value": 1369,
            "id_unit": 2208,
            "units_code": "hs",
            "units_description": "hours",
            "id_parent_meter": null,
            "parent_meter_description": " {}",
            "monthly_average_data": 111,
            "id_item": 1111,
            "items_id_type_item": 1,
            "items_code": "ACT-0001",
            "items_description": "ACT-0001",
            "items_id_priority": 1,
            "items_id_group": null,
            "items_id_group_2": null,
            "items_field_2": null,
            "items_field_3": null,
            "items_field_4": null,
            "items_parent_description": "",
            "id_task": 111,
            "tasks_description": "",
            "id_task_trigger_type": 3,
            "last_value_trigger": "1000",
            "last_date_maintenance": null,
            "code_parent_location": "PACT-0001",
            "id_company": 188
        }
    ],
    "total": "1"
}
Path Params
string
required
Response
200
Language
LoadingLoading…